The Get list of managers method returns the list of managers of the current reseller or any of its downstream resellers.
GET {{base_url}}/api/v3/resellers/{{reseller_id}}/managers
Authentication
This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:
Authorization: Bearer <JWT_ACCESS_TOKEN>
In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.
Arguments
|
Name |
Parameter Type |
Data type |
Required/ Optional |
Description |
|---|---|---|---|---|
|
Content-Type |
header |
string |
Required |
Media type of the request. Specify the following: application/vnd.api+json |
|
Accept |
header |
string |
Required |
Supported media types of the answer. Specify the following: application/vnd.api+json |
|
base_url |
path |
string |
Required |
ActivePlatform URL |
|
reseller_id |
path |
integer |
Required |
ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information) |
|
page[size] |
query |
integer |
Optional |
Page navigation: number of elements per page. The default value is 50 |
|
page[number] |
query |
integer |
Optional |
Page navigation: page number |
Response model
|
Name |
Data type |
Description |
|||
|---|---|---|---|---|---|
|
data |
array of objects |
Response data |
|||
|
|
id |
string |
ID of the manager |
||
|
|
type |
string |
Data type |
||
|
|
attributes |
object |
Information about the manager |
||
|
|
|
created_at |
string |
Date and time of the manager creation |
|
|
|
|
updated_at |
string |
Date and time when the manager was updated |
|
|
|
|
reseller_id |
integer |
ID of the reseller |
|
|
|
|
name |
string |
Manager's name |
|
|
|
|
status |
string |
Status of the manager:
|
|
|
|
|
|
string |
Manager's email which is used as a login to the Operator Control Panel |
|
|
|
|
manager_role |
object |
Manager's role (for the list of roles, see Managers' roles and Get list of roles) |
|
|
|
|
|
id |
integer |
The role ID. For administrators at the root level, returns null |
|
|
|
|
name |
string |
The role name. For administrators at the root level, returns null |
|
|
|
phone |
string |
Manager's phone number:
|
|
|
|
|
photo |
string |
Link to the file of the manager's photo |
|
|
|
|
manager_key |
string |
Unique manager's key |
|
|
|
|
mfa_required |
bool |
The multi-factor authentication (MFA) status of a manager (see Viewing and updating manager's information):
|
|
|
|
|
custom_attributes |
object |
Manager's attributes (see Viewing the list of attributes) |
|
|
|
|
|
['custom_attribute_key'] |
string |
Manager's attribute value for the specified attribute key |
|
links |
object |
Page navigation links that use the defined page navigation parameters |
|||
|
|
self |
string |
Current page link |
||
|
|
first |
string |
First page link |
||
|
|
prev |
string |
Previous page link |
||
|
|
next |
string |
Next page link |
||
|
|
last |
string |
Last page link |
||
Request example
GET /api/v3/resellers/1/managers?page[size]=2&page[number]=48
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json
Response example
{
"data": [
{
"id": "431",
"type": "managers",
"attributes": {
"created_at": "2021-01-05T05:28:48.804+03:00",
"updated_at": "2021-01-05T06:23:10.815+03:00",
"reseller_id": 1,
"name": "Brendon Leannon",
"status": "active",
"email": "carter81@example.net",
"manager_role": {
"id": null,
"name": null
},
"phone": "+375280000000",
"photo": "/images/manager/431/manager.png",
"manager_key": "",
"mfa_required": true,
"custom_attributes": {
"manager_1c_identifier": ""
}
}
},
{
"id": "432",
"type": "managers",
"attributes": {
"created_at": "2021-01-08T21:33:32.789+03:00",
"updated_at": "2021-01-08T21:34:29.005+03:00",
"reseller_id": 1,
"name": "Trycia Corwin",
"status": "active",
"email": "tryciacorwin71@example.net",
"manager_role": {
"id": 1,
"name": "Full control"
},
"phone": "+375270000000",
"photo": "/images/manager/432/432.jpg",
"manager_key": "",
"mfa_required": true,
"custom_attributes": {
"manager_1c_identifier": "20"
}
}
}
],
"links": {
"self": "https://test.activeplatform.com/api/v3/resellers/1/managers?page%5Bnumber%5D=48&page%5Bsize%5D=2",
"first": "https://test.activeplatform.com/api/v3/resellers/1/managers?page%5Bnumber%5D=1&page%5Bsize%5D=2",
"prev": "https://test.activeplatform.com/api/v3/resellers/1/managers?page%5Bnumber%5D=47&page%5Bsize%5D=2",
"next": null,
"last": "https://test.activeplatform.com/api/v3/resellers/1/managers?page%5Bnumber%5D=48&page%5Bsize%5D=2"
}
}